// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: Management.proto

package proto.management;

/**
 * Protobuf type {@code management.SendClanInfo}
 */
public final class SendClanInfo extends
        com.google.protobuf.GeneratedMessageV3 implements
        // @@protoc_insertion_point(message_implements:management.SendClanInfo)
        SendClanInfoOrBuilder {
    private static final long serialVersionUID = 0L;

    // Use SendClanInfo.newBuilder() to construct.
    private SendClanInfo(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
        super(builder);
    }

    private SendClanInfo() {
        clanOwner_ = "";
        clanName_ = "";
        members_ = java.util.Collections.emptyList();
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
            UnusedPrivateParameter unused) {
        return new SendClanInfo();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
        return this.unknownFields;
    }

    private SendClanInfo(
            com.google.protobuf.CodedInputStream input,
            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
            throws com.google.protobuf.InvalidProtocolBufferException {
        this();
        if (extensionRegistry == null) {
            throw new java.lang.NullPointerException();
        }
        int mutable_bitField0_ = 0;
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
                com.google.protobuf.UnknownFieldSet.newBuilder();
        try {
            boolean done = false;
            while (!done) {
                int tag = input.readTag();
                switch (tag) {
                    case 0:
                        done = true;
                        break;
                    case 10: {
                        com.google.protobuf.ByteString bs = input.readBytes();
                        bitField0_ |= 0x00000001;
                        clanOwner_ = bs;
                        break;
                    }
                    case 16: {
                        bitField0_ |= 0x00000002;
                        hasInfo_ = input.readBool();
                        break;
                    }
                    case 26: {
                        com.google.protobuf.ByteString bs = input.readBytes();
                        bitField0_ |= 0x00000004;
                        clanName_ = bs;
                        break;
                    }
                    case 32: {
                        bitField0_ |= 0x00000008;
                        joinRequirement_ = input.readInt32();
                        break;
                    }
                    case 40: {
                        bitField0_ |= 0x00000010;
                        kickRequirement_ = input.readInt32();
                        break;
                    }
                    case 48: {
                        bitField0_ |= 0x00000020;
                        messageRequirement_ = input.readInt32();
                        break;
                    }
                    case 56: {
                        bitField0_ |= 0x00000040;
                        lootRequirement_ = input.readInt32();
                        break;
                    }
                    case 66: {
                        if (!((mutable_bitField0_ & 0x00000080) != 0)) {
                            members_ = new java.util.ArrayList<proto.management.SendClanInfo.ClanMember>();
                            mutable_bitField0_ |= 0x00000080;
                        }
                        members_.add(
                                input.readMessage(proto.management.SendClanInfo.ClanMember.PARSER, extensionRegistry));
                        break;
                    }
                    default: {
                        if (!parseUnknownField(
                                input, unknownFields, extensionRegistry, tag)) {
                            done = true;
                        }
                        break;
                    }
                }
            }
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
            throw e.setUnfinishedMessage(this);
        } catch (java.io.IOException e) {
            throw new com.google.protobuf.InvalidProtocolBufferException(
                    e).setUnfinishedMessage(this);
        } finally {
            if (((mutable_bitField0_ & 0x00000080) != 0)) {
                members_ = java.util.Collections.unmodifiableList(members_);
            }
            this.unknownFields = unknownFields.build();
            makeExtensionsImmutable();
        }
    }

    public static final com.google.protobuf.Descriptors.Descriptor
    getDescriptor() {
        return proto.management.ManagementProtos.internal_static_management_SendClanInfo_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
    internalGetFieldAccessorTable() {
        return proto.management.ManagementProtos.internal_static_management_SendClanInfo_fieldAccessorTable
                .ensureFieldAccessorsInitialized(
                        proto.management.SendClanInfo.class, proto.management.SendClanInfo.Builder.class);
    }

    public interface ClanMemberOrBuilder extends
            // @@protoc_insertion_point(interface_extends:management.SendClanInfo.ClanMember)
            com.google.protobuf.MessageOrBuilder {

        /**
         * <code>required string username = 1;</code>
         *
         * @return Whether the username field is set.
         */
        boolean hasUsername();

        /**
         * <code>required string username = 1;</code>
         *
         * @return The username.
         */
        java.lang.String getUsername();

        /**
         * <code>required string username = 1;</code>
         *
         * @return The bytes for username.
         */
        com.google.protobuf.ByteString
        getUsernameBytes();

        /**
         * <code>required int32 world = 2;</code>
         *
         * @return Whether the world field is set.
         */
        boolean hasWorld();

        /**
         * <code>required int32 world = 2;</code>
         *
         * @return The world.
         */
        int getWorld();

        /**
         * <code>required int32 rank = 3;</code>
         *
         * @return Whether the rank field is set.
         */
        boolean hasRank();

        /**
         * <code>required int32 rank = 3;</code>
         *
         * @return The rank.
         */
        int getRank();
    }

    /**
     * Protobuf type {@code management.SendClanInfo.ClanMember}
     */
    public static final class ClanMember extends
            com.google.protobuf.GeneratedMessageV3 implements
            // @@protoc_insertion_point(message_implements:management.SendClanInfo.ClanMember)
            ClanMemberOrBuilder {
        private static final long serialVersionUID = 0L;

        // Use ClanMember.newBuilder() to construct.
        private ClanMember(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
            super(builder);
        }

        private ClanMember() {
            username_ = "";
        }

        @java.lang.Override
        @SuppressWarnings({"unused"})
        protected java.lang.Object newInstance(
                UnusedPrivateParameter unused) {
            return new ClanMember();
        }

        @java.lang.Override
        public final com.google.protobuf.UnknownFieldSet
        getUnknownFields() {
            return this.unknownFields;
        }

        private ClanMember(
                com.google.protobuf.CodedInputStream input,
                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                throws com.google.protobuf.InvalidProtocolBufferException {
            this();
            if (extensionRegistry == null) {
                throw new java.lang.NullPointerException();
            }
            int mutable_bitField0_ = 0;
            com.google.protobuf.UnknownFieldSet.Builder unknownFields =
                    com.google.protobuf.UnknownFieldSet.newBuilder();
            try {
                boolean done = false;
                while (!done) {
                    int tag = input.readTag();
                    switch (tag) {
                        case 0:
                            done = true;
                            break;
                        case 10: {
                            com.google.protobuf.ByteString bs = input.readBytes();
                            bitField0_ |= 0x00000001;
                            username_ = bs;
                            break;
                        }
                        case 16: {
                            bitField0_ |= 0x00000002;
                            world_ = input.readInt32();
                            break;
                        }
                        case 24: {
                            bitField0_ |= 0x00000004;
                            rank_ = input.readInt32();
                            break;
                        }
                        default: {
                            if (!parseUnknownField(
                                    input, unknownFields, extensionRegistry, tag)) {
                                done = true;
                            }
                            break;
                        }
                    }
                }
            } catch (com.google.protobuf.InvalidProtocolBufferException e) {
                throw e.setUnfinishedMessage(this);
            } catch (java.io.IOException e) {
                throw new com.google.protobuf.InvalidProtocolBufferException(
                        e).setUnfinishedMessage(this);
            } finally {
                this.unknownFields = unknownFields.build();
                makeExtensionsImmutable();
            }
        }

        public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
            return proto.management.ManagementProtos.internal_static_management_SendClanInfo_ClanMember_descriptor;
        }

        @java.lang.Override
        protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
            return proto.management.ManagementProtos.internal_static_management_SendClanInfo_ClanMember_fieldAccessorTable
                    .ensureFieldAccessorsInitialized(
                            proto.management.SendClanInfo.ClanMember.class, proto.management.SendClanInfo.ClanMember.Builder.class);
        }

        private int bitField0_;
        public static final int USERNAME_FIELD_NUMBER = 1;
        private volatile java.lang.Object username_;

        /**
         * <code>required string username = 1;</code>
         *
         * @return Whether the username field is set.
         */
        @java.lang.Override
        public boolean hasUsername() {
            return ((bitField0_ & 0x00000001) != 0);
        }

        /**
         * <code>required string username = 1;</code>
         *
         * @return The username.
         */
        @java.lang.Override
        public java.lang.String getUsername() {
            java.lang.Object ref = username_;
            if (ref instanceof java.lang.String) {
                return (java.lang.String) ref;
            } else {
                com.google.protobuf.ByteString bs =
                        (com.google.protobuf.ByteString) ref;
                java.lang.String s = bs.toStringUtf8();
                if (bs.isValidUtf8()) {
                    username_ = s;
                }
                return s;
            }
        }

        /**
         * <code>required string username = 1;</code>
         *
         * @return The bytes for username.
         */
        @java.lang.Override
        public com.google.protobuf.ByteString
        getUsernameBytes() {
            java.lang.Object ref = username_;
            if (ref instanceof java.lang.String) {
                com.google.protobuf.ByteString b =
                        com.google.protobuf.ByteString.copyFromUtf8(
                                (java.lang.String) ref);
                username_ = b;
                return b;
            } else {
                return (com.google.protobuf.ByteString) ref;
            }
        }

        public static final int WORLD_FIELD_NUMBER = 2;
        private int world_;

        /**
         * <code>required int32 world = 2;</code>
         *
         * @return Whether the world field is set.
         */
        @java.lang.Override
        public boolean hasWorld() {
            return ((bitField0_ & 0x00000002) != 0);
        }

        /**
         * <code>required int32 world = 2;</code>
         *
         * @return The world.
         */
        @java.lang.Override
        public int getWorld() {
            return world_;
        }

        public static final int RANK_FIELD_NUMBER = 3;
        private int rank_;

        /**
         * <code>required int32 rank = 3;</code>
         *
         * @return Whether the rank field is set.
         */
        @java.lang.Override
        public boolean hasRank() {
            return ((bitField0_ & 0x00000004) != 0);
        }

        /**
         * <code>required int32 rank = 3;</code>
         *
         * @return The rank.
         */
        @java.lang.Override
        public int getRank() {
            return rank_;
        }

        private byte memoizedIsInitialized = -1;

        @java.lang.Override
        public final boolean isInitialized() {
            byte isInitialized = memoizedIsInitialized;
            if (isInitialized == 1) return true;
            if (isInitialized == 0) return false;

            if (!hasUsername()) {
                memoizedIsInitialized = 0;
                return false;
            }
            if (!hasWorld()) {
                memoizedIsInitialized = 0;
                return false;
            }
            if (!hasRank()) {
                memoizedIsInitialized = 0;
                return false;
            }
            memoizedIsInitialized = 1;
            return true;
        }

        @java.lang.Override
        public void writeTo(com.google.protobuf.CodedOutputStream output)
                throws java.io.IOException {
            if (((bitField0_ & 0x00000001) != 0)) {
                com.google.protobuf.GeneratedMessageV3.writeString(output, 1, username_);
            }
            if (((bitField0_ & 0x00000002) != 0)) {
                output.writeInt32(2, world_);
            }
            if (((bitField0_ & 0x00000004) != 0)) {
                output.writeInt32(3, rank_);
            }
            unknownFields.writeTo(output);
        }

        @java.lang.Override
        public int getSerializedSize() {
            int size = memoizedSize;
            if (size != -1) return size;

            size = 0;
            if (((bitField0_ & 0x00000001) != 0)) {
                size += com.google.protobuf.GeneratedMessageV3.computeStringSize(1, username_);
            }
            if (((bitField0_ & 0x00000002) != 0)) {
                size += com.google.protobuf.CodedOutputStream
                        .computeInt32Size(2, world_);
            }
            if (((bitField0_ & 0x00000004) != 0)) {
                size += com.google.protobuf.CodedOutputStream
                        .computeInt32Size(3, rank_);
            }
            size += unknownFields.getSerializedSize();
            memoizedSize = size;
            return size;
        }

        @java.lang.Override
        public boolean equals(final java.lang.Object obj) {
            if (obj == this) {
                return true;
            }
            if (!(obj instanceof proto.management.SendClanInfo.ClanMember)) {
                return super.equals(obj);
            }
            proto.management.SendClanInfo.ClanMember other = (proto.management.SendClanInfo.ClanMember) obj;

            if (hasUsername() != other.hasUsername()) return false;
            if (hasUsername()) {
                if (!getUsername()
                        .equals(other.getUsername())) return false;
            }
            if (hasWorld() != other.hasWorld()) return false;
            if (hasWorld()) {
                if (getWorld()
                        != other.getWorld()) return false;
            }
            if (hasRank() != other.hasRank()) return false;
            if (hasRank()) {
                if (getRank()
                        != other.getRank()) return false;
            }
            if (!unknownFields.equals(other.unknownFields)) return false;
            return true;
        }

        @java.lang.Override
        public int hashCode() {
            if (memoizedHashCode != 0) {
                return memoizedHashCode;
            }
            int hash = 41;
            hash = (19 * hash) + getDescriptor().hashCode();
            if (hasUsername()) {
                hash = (37 * hash) + USERNAME_FIELD_NUMBER;
                hash = (53 * hash) + getUsername().hashCode();
            }
            if (hasWorld()) {
                hash = (37 * hash) + WORLD_FIELD_NUMBER;
                hash = (53 * hash) + getWorld();
            }
            if (hasRank()) {
                hash = (37 * hash) + RANK_FIELD_NUMBER;
                hash = (53 * hash) + getRank();
            }
            hash = (29 * hash) + unknownFields.hashCode();
            memoizedHashCode = hash;
            return hash;
        }

        public static proto.management.SendClanInfo.ClanMember parseFrom(
                java.nio.ByteBuffer data)
                throws com.google.protobuf.InvalidProtocolBufferException {
            return PARSER.parseFrom(data);
        }

        public static proto.management.SendClanInfo.ClanMember parseFrom(
                java.nio.ByteBuffer data,
                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                throws com.google.protobuf.InvalidProtocolBufferException {
            return PARSER.parseFrom(data, extensionRegistry);
        }

        public static proto.management.SendClanInfo.ClanMember parseFrom(
                com.google.protobuf.ByteString data)
                throws com.google.protobuf.InvalidProtocolBufferException {
            return PARSER.parseFrom(data);
        }

        public static proto.management.SendClanInfo.ClanMember parseFrom(
                com.google.protobuf.ByteString data,
                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                throws com.google.protobuf.InvalidProtocolBufferException {
            return PARSER.parseFrom(data, extensionRegistry);
        }

        public static proto.management.SendClanInfo.ClanMember parseFrom(byte[] data)
                throws com.google.protobuf.InvalidProtocolBufferException {
            return PARSER.parseFrom(data);
        }

        public static proto.management.SendClanInfo.ClanMember parseFrom(
                byte[] data,
                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                throws com.google.protobuf.InvalidProtocolBufferException {
            return PARSER.parseFrom(data, extensionRegistry);
        }

        public static proto.management.SendClanInfo.ClanMember parseFrom(java.io.InputStream input)
                throws java.io.IOException {
            return com.google.protobuf.GeneratedMessageV3
                    .parseWithIOException(PARSER, input);
        }

        public static proto.management.SendClanInfo.ClanMember parseFrom(
                java.io.InputStream input,
                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                throws java.io.IOException {
            return com.google.protobuf.GeneratedMessageV3
                    .parseWithIOException(PARSER, input, extensionRegistry);
        }

        public static proto.management.SendClanInfo.ClanMember parseDelimitedFrom(java.io.InputStream input)
                throws java.io.IOException {
            return com.google.protobuf.GeneratedMessageV3
                    .parseDelimitedWithIOException(PARSER, input);
        }

        public static proto.management.SendClanInfo.ClanMember parseDelimitedFrom(
                java.io.InputStream input,
                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                throws java.io.IOException {
            return com.google.protobuf.GeneratedMessageV3
                    .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
        }

        public static proto.management.SendClanInfo.ClanMember parseFrom(
                com.google.protobuf.CodedInputStream input)
                throws java.io.IOException {
            return com.google.protobuf.GeneratedMessageV3
                    .parseWithIOException(PARSER, input);
        }

        public static proto.management.SendClanInfo.ClanMember parseFrom(
                com.google.protobuf.CodedInputStream input,
                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                throws java.io.IOException {
            return com.google.protobuf.GeneratedMessageV3
                    .parseWithIOException(PARSER, input, extensionRegistry);
        }

        @java.lang.Override
        public Builder newBuilderForType() {
            return newBuilder();
        }

        public static Builder newBuilder() {
            return DEFAULT_INSTANCE.toBuilder();
        }

        public static Builder newBuilder(proto.management.SendClanInfo.ClanMember prototype) {
            return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
        }

        @java.lang.Override
        public Builder toBuilder() {
            return this == DEFAULT_INSTANCE
                    ? new Builder() : new Builder().mergeFrom(this);
        }

        @java.lang.Override
        protected Builder newBuilderForType(
                com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
            Builder builder = new Builder(parent);
            return builder;
        }

        /**
         * Protobuf type {@code management.SendClanInfo.ClanMember}
         */
        public static final class Builder extends
                com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
                // @@protoc_insertion_point(builder_implements:management.SendClanInfo.ClanMember)
                proto.management.SendClanInfo.ClanMemberOrBuilder {
            public static final com.google.protobuf.Descriptors.Descriptor
            getDescriptor() {
                return proto.management.ManagementProtos.internal_static_management_SendClanInfo_ClanMember_descriptor;
            }

            @java.lang.Override
            protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
            internalGetFieldAccessorTable() {
                return proto.management.ManagementProtos.internal_static_management_SendClanInfo_ClanMember_fieldAccessorTable
                        .ensureFieldAccessorsInitialized(
                                proto.management.SendClanInfo.ClanMember.class, proto.management.SendClanInfo.ClanMember.Builder.class);
            }

            // Construct using proto.management.SendClanInfo.ClanMember.newBuilder()
            private Builder() {
                maybeForceBuilderInitialization();
            }

            private Builder(
                    com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
                super(parent);
                maybeForceBuilderInitialization();
            }

            private void maybeForceBuilderInitialization() {
                if (com.google.protobuf.GeneratedMessageV3
                        .alwaysUseFieldBuilders) {
                }
            }

            @java.lang.Override
            public Builder clear() {
                super.clear();
                username_ = "";
                bitField0_ = (bitField0_ & ~0x00000001);
                world_ = 0;
                bitField0_ = (bitField0_ & ~0x00000002);
                rank_ = 0;
                bitField0_ = (bitField0_ & ~0x00000004);
                return this;
            }

            @java.lang.Override
            public com.google.protobuf.Descriptors.Descriptor
            getDescriptorForType() {
                return proto.management.ManagementProtos.internal_static_management_SendClanInfo_ClanMember_descriptor;
            }

            @java.lang.Override
            public proto.management.SendClanInfo.ClanMember getDefaultInstanceForType() {
                return proto.management.SendClanInfo.ClanMember.getDefaultInstance();
            }

            @java.lang.Override
            public proto.management.SendClanInfo.ClanMember build() {
                proto.management.SendClanInfo.ClanMember result = buildPartial();
                if (!result.isInitialized()) {
                    throw newUninitializedMessageException(result);
                }
                return result;
            }

            @java.lang.Override
            public proto.management.SendClanInfo.ClanMember buildPartial() {
                proto.management.SendClanInfo.ClanMember result = new proto.management.SendClanInfo.ClanMember(this);
                int from_bitField0_ = bitField0_;
                int to_bitField0_ = 0;
                if (((from_bitField0_ & 0x00000001) != 0)) {
                    to_bitField0_ |= 0x00000001;
                }
                result.username_ = username_;
                if (((from_bitField0_ & 0x00000002) != 0)) {
                    result.world_ = world_;
                    to_bitField0_ |= 0x00000002;
                }
                if (((from_bitField0_ & 0x00000004) != 0)) {
                    result.rank_ = rank_;
                    to_bitField0_ |= 0x00000004;
                }
                result.bitField0_ = to_bitField0_;
                onBuilt();
                return result;
            }

            @java.lang.Override
            public Builder clone() {
                return super.clone();
            }

            @java.lang.Override
            public Builder setField(
                    com.google.protobuf.Descriptors.FieldDescriptor field,
                    java.lang.Object value) {
                return super.setField(field, value);
            }

            @java.lang.Override
            public Builder clearField(
                    com.google.protobuf.Descriptors.FieldDescriptor field) {
                return super.clearField(field);
            }

            @java.lang.Override
            public Builder clearOneof(
                    com.google.protobuf.Descriptors.OneofDescriptor oneof) {
                return super.clearOneof(oneof);
            }

            @java.lang.Override
            public Builder setRepeatedField(
                    com.google.protobuf.Descriptors.FieldDescriptor field,
                    int index, java.lang.Object value) {
                return super.setRepeatedField(field, index, value);
            }

            @java.lang.Override
            public Builder addRepeatedField(
                    com.google.protobuf.Descriptors.FieldDescriptor field,
                    java.lang.Object value) {
                return super.addRepeatedField(field, value);
            }

            @java.lang.Override
            public Builder mergeFrom(com.google.protobuf.Message other) {
                if (other instanceof proto.management.SendClanInfo.ClanMember) {
                    return mergeFrom((proto.management.SendClanInfo.ClanMember) other);
                } else {
                    super.mergeFrom(other);
                    return this;
                }
            }

            public Builder mergeFrom(proto.management.SendClanInfo.ClanMember other) {
                if (other == proto.management.SendClanInfo.ClanMember.getDefaultInstance()) return this;
                if (other.hasUsername()) {
                    bitField0_ |= 0x00000001;
                    username_ = other.username_;
                    onChanged();
                }
                if (other.hasWorld()) {
                    setWorld(other.getWorld());
                }
                if (other.hasRank()) {
                    setRank(other.getRank());
                }
                this.mergeUnknownFields(other.unknownFields);
                onChanged();
                return this;
            }

            @java.lang.Override
            public final boolean isInitialized() {
                if (!hasUsername()) {
                    return false;
                }
                if (!hasWorld()) {
                    return false;
                }
                if (!hasRank()) {
                    return false;
                }
                return true;
            }

            @java.lang.Override
            public Builder mergeFrom(
                    com.google.protobuf.CodedInputStream input,
                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                    throws java.io.IOException {
                proto.management.SendClanInfo.ClanMember parsedMessage = null;
                try {
                    parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
                } catch (com.google.protobuf.InvalidProtocolBufferException e) {
                    parsedMessage = (proto.management.SendClanInfo.ClanMember) e.getUnfinishedMessage();
                    throw e.unwrapIOException();
                } finally {
                    if (parsedMessage != null) {
                        mergeFrom(parsedMessage);
                    }
                }
                return this;
            }

            private int bitField0_;

            private java.lang.Object username_ = "";

            /**
             * <code>required string username = 1;</code>
             *
             * @return Whether the username field is set.
             */
            public boolean hasUsername() {
                return ((bitField0_ & 0x00000001) != 0);
            }

            /**
             * <code>required string username = 1;</code>
             *
             * @return The username.
             */
            public java.lang.String getUsername() {
                java.lang.Object ref = username_;
                if (!(ref instanceof java.lang.String)) {
                    com.google.protobuf.ByteString bs =
                            (com.google.protobuf.ByteString) ref;
                    java.lang.String s = bs.toStringUtf8();
                    if (bs.isValidUtf8()) {
                        username_ = s;
                    }
                    return s;
                } else {
                    return (java.lang.String) ref;
                }
            }

            /**
             * <code>required string username = 1;</code>
             *
             * @return The bytes for username.
             */
            public com.google.protobuf.ByteString
            getUsernameBytes() {
                java.lang.Object ref = username_;
                if (ref instanceof String) {
                    com.google.protobuf.ByteString b =
                            com.google.protobuf.ByteString.copyFromUtf8(
                                    (java.lang.String) ref);
                    username_ = b;
                    return b;
                } else {
                    return (com.google.protobuf.ByteString) ref;
                }
            }

            /**
             * <code>required string username = 1;</code>
             *
             * @param value The username to set.
             * @return This builder for chaining.
             */
            public Builder setUsername(
                    java.lang.String value) {
                if (value == null) {
                    throw new NullPointerException();
                }
                bitField0_ |= 0x00000001;
                username_ = value;
                onChanged();
                return this;
            }

            /**
             * <code>required string username = 1;</code>
             *
             * @return This builder for chaining.
             */
            public Builder clearUsername() {
                bitField0_ = (bitField0_ & ~0x00000001);
                username_ = getDefaultInstance().getUsername();
                onChanged();
                return this;
            }

            /**
             * <code>required string username = 1;</code>
             *
             * @param value The bytes for username to set.
             * @return This builder for chaining.
             */
            public Builder setUsernameBytes(
                    com.google.protobuf.ByteString value) {
                if (value == null) {
                    throw new NullPointerException();
                }
                bitField0_ |= 0x00000001;
                username_ = value;
                onChanged();
                return this;
            }

            private int world_;

            /**
             * <code>required int32 world = 2;</code>
             *
             * @return Whether the world field is set.
             */
            @java.lang.Override
            public boolean hasWorld() {
                return ((bitField0_ & 0x00000002) != 0);
            }

            /**
             * <code>required int32 world = 2;</code>
             *
             * @return The world.
             */
            @java.lang.Override
            public int getWorld() {
                return world_;
            }

            /**
             * <code>required int32 world = 2;</code>
             *
             * @param value The world to set.
             * @return This builder for chaining.
             */
            public Builder setWorld(int value) {
                bitField0_ |= 0x00000002;
                world_ = value;
                onChanged();
                return this;
            }

            /**
             * <code>required int32 world = 2;</code>
             *
             * @return This builder for chaining.
             */
            public Builder clearWorld() {
                bitField0_ = (bitField0_ & ~0x00000002);
                world_ = 0;
                onChanged();
                return this;
            }

            private int rank_;

            /**
             * <code>required int32 rank = 3;</code>
             *
             * @return Whether the rank field is set.
             */
            @java.lang.Override
            public boolean hasRank() {
                return ((bitField0_ & 0x00000004) != 0);
            }

            /**
             * <code>required int32 rank = 3;</code>
             *
             * @return The rank.
             */
            @java.lang.Override
            public int getRank() {
                return rank_;
            }

            /**
             * <code>required int32 rank = 3;</code>
             *
             * @param value The rank to set.
             * @return This builder for chaining.
             */
            public Builder setRank(int value) {
                bitField0_ |= 0x00000004;
                rank_ = value;
                onChanged();
                return this;
            }

            /**
             * <code>required int32 rank = 3;</code>
             *
             * @return This builder for chaining.
             */
            public Builder clearRank() {
                bitField0_ = (bitField0_ & ~0x00000004);
                rank_ = 0;
                onChanged();
                return this;
            }

            @java.lang.Override
            public final Builder setUnknownFields(
                    final com.google.protobuf.UnknownFieldSet unknownFields) {
                return super.setUnknownFields(unknownFields);
            }

            @java.lang.Override
            public final Builder mergeUnknownFields(
                    final com.google.protobuf.UnknownFieldSet unknownFields) {
                return super.mergeUnknownFields(unknownFields);
            }


            // @@protoc_insertion_point(builder_scope:management.SendClanInfo.ClanMember)
        }

        // @@protoc_insertion_point(class_scope:management.SendClanInfo.ClanMember)
        private static final proto.management.SendClanInfo.ClanMember DEFAULT_INSTANCE;

        static {
            DEFAULT_INSTANCE = new proto.management.SendClanInfo.ClanMember();
        }

        public static proto.management.SendClanInfo.ClanMember getDefaultInstance() {
            return DEFAULT_INSTANCE;
        }

        @java.lang.Deprecated
        public static final com.google.protobuf.Parser<ClanMember>
                PARSER = new com.google.protobuf.AbstractParser<ClanMember>() {
            @java.lang.Override
            public ClanMember parsePartialFrom(
                    com.google.protobuf.CodedInputStream input,
                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                    throws com.google.protobuf.InvalidProtocolBufferException {
                return new ClanMember(input, extensionRegistry);
            }
        };

        public static com.google.protobuf.Parser<ClanMember> parser() {
            return PARSER;
        }

        @java.lang.Override
        public com.google.protobuf.Parser<ClanMember> getParserForType() {
            return PARSER;
        }

        @java.lang.Override
        public proto.management.SendClanInfo.ClanMember getDefaultInstanceForType() {
            return DEFAULT_INSTANCE;
        }

    }

    private int bitField0_;
    public static final int CLANOWNER_FIELD_NUMBER = 1;
    private volatile java.lang.Object clanOwner_;

    /**
     * <code>required string clanOwner = 1;</code>
     *
     * @return Whether the clanOwner field is set.
     */
    @java.lang.Override
    public boolean hasClanOwner() {
        return ((bitField0_ & 0x00000001) != 0);
    }

    /**
     * <code>required string clanOwner = 1;</code>
     *
     * @return The clanOwner.
     */
    @java.lang.Override
    public java.lang.String getClanOwner() {
        java.lang.Object ref = clanOwner_;
        if (ref instanceof java.lang.String) {
            return (java.lang.String) ref;
        } else {
            com.google.protobuf.ByteString bs =
                    (com.google.protobuf.ByteString) ref;
            java.lang.String s = bs.toStringUtf8();
            if (bs.isValidUtf8()) {
                clanOwner_ = s;
            }
            return s;
        }
    }

    /**
     * <code>required string clanOwner = 1;</code>
     *
     * @return The bytes for clanOwner.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
    getClanOwnerBytes() {
        java.lang.Object ref = clanOwner_;
        if (ref instanceof java.lang.String) {
            com.google.protobuf.ByteString b =
                    com.google.protobuf.ByteString.copyFromUtf8(
                            (java.lang.String) ref);
            clanOwner_ = b;
            return b;
        } else {
            return (com.google.protobuf.ByteString) ref;
        }
    }

    public static final int HASINFO_FIELD_NUMBER = 2;
    private boolean hasInfo_;

    /**
     * <code>required bool hasInfo = 2;</code>
     *
     * @return Whether the hasInfo field is set.
     */
    @java.lang.Override
    public boolean hasHasInfo() {
        return ((bitField0_ & 0x00000002) != 0);
    }

    /**
     * <code>required bool hasInfo = 2;</code>
     *
     * @return The hasInfo.
     */
    @java.lang.Override
    public boolean getHasInfo() {
        return hasInfo_;
    }

    public static final int CLANNAME_FIELD_NUMBER = 3;
    private volatile java.lang.Object clanName_;

    /**
     * <code>optional string clanName = 3;</code>
     *
     * @return Whether the clanName field is set.
     */
    @java.lang.Override
    public boolean hasClanName() {
        return ((bitField0_ & 0x00000004) != 0);
    }

    /**
     * <code>optional string clanName = 3;</code>
     *
     * @return The clanName.
     */
    @java.lang.Override
    public java.lang.String getClanName() {
        java.lang.Object ref = clanName_;
        if (ref instanceof java.lang.String) {
            return (java.lang.String) ref;
        } else {
            com.google.protobuf.ByteString bs =
                    (com.google.protobuf.ByteString) ref;
            java.lang.String s = bs.toStringUtf8();
            if (bs.isValidUtf8()) {
                clanName_ = s;
            }
            return s;
        }
    }

    /**
     * <code>optional string clanName = 3;</code>
     *
     * @return The bytes for clanName.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
    getClanNameBytes() {
        java.lang.Object ref = clanName_;
        if (ref instanceof java.lang.String) {
            com.google.protobuf.ByteString b =
                    com.google.protobuf.ByteString.copyFromUtf8(
                            (java.lang.String) ref);
            clanName_ = b;
            return b;
        } else {
            return (com.google.protobuf.ByteString) ref;
        }
    }

    public static final int JOINREQUIREMENT_FIELD_NUMBER = 4;
    private int joinRequirement_;

    /**
     * <code>optional int32 joinRequirement = 4;</code>
     *
     * @return Whether the joinRequirement field is set.
     */
    @java.lang.Override
    public boolean hasJoinRequirement() {
        return ((bitField0_ & 0x00000008) != 0);
    }

    /**
     * <code>optional int32 joinRequirement = 4;</code>
     *
     * @return The joinRequirement.
     */
    @java.lang.Override
    public int getJoinRequirement() {
        return joinRequirement_;
    }

    public static final int KICKREQUIREMENT_FIELD_NUMBER = 5;
    private int kickRequirement_;

    /**
     * <code>optional int32 kickRequirement = 5;</code>
     *
     * @return Whether the kickRequirement field is set.
     */
    @java.lang.Override
    public boolean hasKickRequirement() {
        return ((bitField0_ & 0x00000010) != 0);
    }

    /**
     * <code>optional int32 kickRequirement = 5;</code>
     *
     * @return The kickRequirement.
     */
    @java.lang.Override
    public int getKickRequirement() {
        return kickRequirement_;
    }

    public static final int MESSAGEREQUIREMENT_FIELD_NUMBER = 6;
    private int messageRequirement_;

    /**
     * <code>optional int32 messageRequirement = 6;</code>
     *
     * @return Whether the messageRequirement field is set.
     */
    @java.lang.Override
    public boolean hasMessageRequirement() {
        return ((bitField0_ & 0x00000020) != 0);
    }

    /**
     * <code>optional int32 messageRequirement = 6;</code>
     *
     * @return The messageRequirement.
     */
    @java.lang.Override
    public int getMessageRequirement() {
        return messageRequirement_;
    }

    public static final int LOOTREQUIREMENT_FIELD_NUMBER = 7;
    private int lootRequirement_;

    /**
     * <code>optional int32 lootRequirement = 7;</code>
     *
     * @return Whether the lootRequirement field is set.
     */
    @java.lang.Override
    public boolean hasLootRequirement() {
        return ((bitField0_ & 0x00000040) != 0);
    }

    /**
     * <code>optional int32 lootRequirement = 7;</code>
     *
     * @return The lootRequirement.
     */
    @java.lang.Override
    public int getLootRequirement() {
        return lootRequirement_;
    }

    public static final int MEMBERS_FIELD_NUMBER = 8;
    private java.util.List<proto.management.SendClanInfo.ClanMember> members_;

    /**
     * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
     */
    @java.lang.Override
    public java.util.List<proto.management.SendClanInfo.ClanMember> getMembersList() {
        return members_;
    }

    /**
     * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
     */
    @java.lang.Override
    public java.util.List<? extends proto.management.SendClanInfo.ClanMemberOrBuilder>
    getMembersOrBuilderList() {
        return members_;
    }

    /**
     * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
     */
    @java.lang.Override
    public int getMembersCount() {
        return members_.size();
    }

    /**
     * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
     */
    @java.lang.Override
    public proto.management.SendClanInfo.ClanMember getMembers(int index) {
        return members_.get(index);
    }

    /**
     * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
     */
    @java.lang.Override
    public proto.management.SendClanInfo.ClanMemberOrBuilder getMembersOrBuilder(
            int index) {
        return members_.get(index);
    }

    private byte memoizedIsInitialized = -1;

    @java.lang.Override
    public final boolean isInitialized() {
        byte isInitialized = memoizedIsInitialized;
        if (isInitialized == 1) return true;
        if (isInitialized == 0) return false;

        if (!hasClanOwner()) {
            memoizedIsInitialized = 0;
            return false;
        }
        if (!hasHasInfo()) {
            memoizedIsInitialized = 0;
            return false;
        }
        for (int i = 0; i < getMembersCount(); i++) {
            if (!getMembers(i).isInitialized()) {
                memoizedIsInitialized = 0;
                return false;
            }
        }
        memoizedIsInitialized = 1;
        return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
            throws java.io.IOException {
        if (((bitField0_ & 0x00000001) != 0)) {
            com.google.protobuf.GeneratedMessageV3.writeString(output, 1, clanOwner_);
        }
        if (((bitField0_ & 0x00000002) != 0)) {
            output.writeBool(2, hasInfo_);
        }
        if (((bitField0_ & 0x00000004) != 0)) {
            com.google.protobuf.GeneratedMessageV3.writeString(output, 3, clanName_);
        }
        if (((bitField0_ & 0x00000008) != 0)) {
            output.writeInt32(4, joinRequirement_);
        }
        if (((bitField0_ & 0x00000010) != 0)) {
            output.writeInt32(5, kickRequirement_);
        }
        if (((bitField0_ & 0x00000020) != 0)) {
            output.writeInt32(6, messageRequirement_);
        }
        if (((bitField0_ & 0x00000040) != 0)) {
            output.writeInt32(7, lootRequirement_);
        }
        for (int i = 0; i < members_.size(); i++) {
            output.writeMessage(8, members_.get(i));
        }
        unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
        int size = memoizedSize;
        if (size != -1) return size;

        size = 0;
        if (((bitField0_ & 0x00000001) != 0)) {
            size += com.google.protobuf.GeneratedMessageV3.computeStringSize(1, clanOwner_);
        }
        if (((bitField0_ & 0x00000002) != 0)) {
            size += com.google.protobuf.CodedOutputStream
                    .computeBoolSize(2, hasInfo_);
        }
        if (((bitField0_ & 0x00000004) != 0)) {
            size += com.google.protobuf.GeneratedMessageV3.computeStringSize(3, clanName_);
        }
        if (((bitField0_ & 0x00000008) != 0)) {
            size += com.google.protobuf.CodedOutputStream
                    .computeInt32Size(4, joinRequirement_);
        }
        if (((bitField0_ & 0x00000010) != 0)) {
            size += com.google.protobuf.CodedOutputStream
                    .computeInt32Size(5, kickRequirement_);
        }
        if (((bitField0_ & 0x00000020) != 0)) {
            size += com.google.protobuf.CodedOutputStream
                    .computeInt32Size(6, messageRequirement_);
        }
        if (((bitField0_ & 0x00000040) != 0)) {
            size += com.google.protobuf.CodedOutputStream
                    .computeInt32Size(7, lootRequirement_);
        }
        for (int i = 0; i < members_.size(); i++) {
            size += com.google.protobuf.CodedOutputStream
                    .computeMessageSize(8, members_.get(i));
        }
        size += unknownFields.getSerializedSize();
        memoizedSize = size;
        return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof proto.management.SendClanInfo)) {
            return super.equals(obj);
        }
        proto.management.SendClanInfo other = (proto.management.SendClanInfo) obj;

        if (hasClanOwner() != other.hasClanOwner()) return false;
        if (hasClanOwner()) {
            if (!getClanOwner()
                    .equals(other.getClanOwner())) return false;
        }
        if (hasHasInfo() != other.hasHasInfo()) return false;
        if (hasHasInfo()) {
            if (getHasInfo()
                    != other.getHasInfo()) return false;
        }
        if (hasClanName() != other.hasClanName()) return false;
        if (hasClanName()) {
            if (!getClanName()
                    .equals(other.getClanName())) return false;
        }
        if (hasJoinRequirement() != other.hasJoinRequirement()) return false;
        if (hasJoinRequirement()) {
            if (getJoinRequirement()
                    != other.getJoinRequirement()) return false;
        }
        if (hasKickRequirement() != other.hasKickRequirement()) return false;
        if (hasKickRequirement()) {
            if (getKickRequirement()
                    != other.getKickRequirement()) return false;
        }
        if (hasMessageRequirement() != other.hasMessageRequirement()) return false;
        if (hasMessageRequirement()) {
            if (getMessageRequirement()
                    != other.getMessageRequirement()) return false;
        }
        if (hasLootRequirement() != other.hasLootRequirement()) return false;
        if (hasLootRequirement()) {
            if (getLootRequirement()
                    != other.getLootRequirement()) return false;
        }
        if (!getMembersList()
                .equals(other.getMembersList())) return false;
        if (!unknownFields.equals(other.unknownFields)) return false;
        return true;
    }

    @java.lang.Override
    public int hashCode() {
        if (memoizedHashCode != 0) {
            return memoizedHashCode;
        }
        int hash = 41;
        hash = (19 * hash) + getDescriptor().hashCode();
        if (hasClanOwner()) {
            hash = (37 * hash) + CLANOWNER_FIELD_NUMBER;
            hash = (53 * hash) + getClanOwner().hashCode();
        }
        if (hasHasInfo()) {
            hash = (37 * hash) + HASINFO_FIELD_NUMBER;
            hash = (53 * hash) + com.google.protobuf.Internal.hashBoolean(
                    getHasInfo());
        }
        if (hasClanName()) {
            hash = (37 * hash) + CLANNAME_FIELD_NUMBER;
            hash = (53 * hash) + getClanName().hashCode();
        }
        if (hasJoinRequirement()) {
            hash = (37 * hash) + JOINREQUIREMENT_FIELD_NUMBER;
            hash = (53 * hash) + getJoinRequirement();
        }
        if (hasKickRequirement()) {
            hash = (37 * hash) + KICKREQUIREMENT_FIELD_NUMBER;
            hash = (53 * hash) + getKickRequirement();
        }
        if (hasMessageRequirement()) {
            hash = (37 * hash) + MESSAGEREQUIREMENT_FIELD_NUMBER;
            hash = (53 * hash) + getMessageRequirement();
        }
        if (hasLootRequirement()) {
            hash = (37 * hash) + LOOTREQUIREMENT_FIELD_NUMBER;
            hash = (53 * hash) + getLootRequirement();
        }
        if (getMembersCount() > 0) {
            hash = (37 * hash) + MEMBERS_FIELD_NUMBER;
            hash = (53 * hash) + getMembersList().hashCode();
        }
        hash = (29 * hash) + unknownFields.hashCode();
        memoizedHashCode = hash;
        return hash;
    }

    public static proto.management.SendClanInfo parseFrom(
            java.nio.ByteBuffer data)
            throws com.google.protobuf.InvalidProtocolBufferException {
        return PARSER.parseFrom(data);
    }

    public static proto.management.SendClanInfo parseFrom(
            java.nio.ByteBuffer data,
            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
            throws com.google.protobuf.InvalidProtocolBufferException {
        return PARSER.parseFrom(data, extensionRegistry);
    }

    public static proto.management.SendClanInfo parseFrom(
            com.google.protobuf.ByteString data)
            throws com.google.protobuf.InvalidProtocolBufferException {
        return PARSER.parseFrom(data);
    }

    public static proto.management.SendClanInfo parseFrom(
            com.google.protobuf.ByteString data,
            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
            throws com.google.protobuf.InvalidProtocolBufferException {
        return PARSER.parseFrom(data, extensionRegistry);
    }

    public static proto.management.SendClanInfo parseFrom(byte[] data)
            throws com.google.protobuf.InvalidProtocolBufferException {
        return PARSER.parseFrom(data);
    }

    public static proto.management.SendClanInfo parseFrom(
            byte[] data,
            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
            throws com.google.protobuf.InvalidProtocolBufferException {
        return PARSER.parseFrom(data, extensionRegistry);
    }

    public static proto.management.SendClanInfo parseFrom(java.io.InputStream input)
            throws java.io.IOException {
        return com.google.protobuf.GeneratedMessageV3
                .parseWithIOException(PARSER, input);
    }

    public static proto.management.SendClanInfo parseFrom(
            java.io.InputStream input,
            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
            throws java.io.IOException {
        return com.google.protobuf.GeneratedMessageV3
                .parseWithIOException(PARSER, input, extensionRegistry);
    }

    public static proto.management.SendClanInfo parseDelimitedFrom(java.io.InputStream input)
            throws java.io.IOException {
        return com.google.protobuf.GeneratedMessageV3
                .parseDelimitedWithIOException(PARSER, input);
    }

    public static proto.management.SendClanInfo parseDelimitedFrom(
            java.io.InputStream input,
            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
            throws java.io.IOException {
        return com.google.protobuf.GeneratedMessageV3
                .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }

    public static proto.management.SendClanInfo parseFrom(
            com.google.protobuf.CodedInputStream input)
            throws java.io.IOException {
        return com.google.protobuf.GeneratedMessageV3
                .parseWithIOException(PARSER, input);
    }

    public static proto.management.SendClanInfo parseFrom(
            com.google.protobuf.CodedInputStream input,
            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
            throws java.io.IOException {
        return com.google.protobuf.GeneratedMessageV3
                .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() {
        return newBuilder();
    }

    public static Builder newBuilder() {
        return DEFAULT_INSTANCE.toBuilder();
    }

    public static Builder newBuilder(proto.management.SendClanInfo prototype) {
        return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }

    @java.lang.Override
    public Builder toBuilder() {
        return this == DEFAULT_INSTANCE
                ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
            com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        Builder builder = new Builder(parent);
        return builder;
    }

    /**
     * Protobuf type {@code management.SendClanInfo}
     */
    public static final class Builder extends
            com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
            // @@protoc_insertion_point(builder_implements:management.SendClanInfo)
            proto.management.SendClanInfoOrBuilder {
        public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
            return proto.management.ManagementProtos.internal_static_management_SendClanInfo_descriptor;
        }

        @java.lang.Override
        protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
            return proto.management.ManagementProtos.internal_static_management_SendClanInfo_fieldAccessorTable
                    .ensureFieldAccessorsInitialized(
                            proto.management.SendClanInfo.class, proto.management.SendClanInfo.Builder.class);
        }

        // Construct using proto.management.SendClanInfo.newBuilder()
        private Builder() {
            maybeForceBuilderInitialization();
        }

        private Builder(
                com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
            super(parent);
            maybeForceBuilderInitialization();
        }

        private void maybeForceBuilderInitialization() {
            if (com.google.protobuf.GeneratedMessageV3
                    .alwaysUseFieldBuilders) {
                getMembersFieldBuilder();
            }
        }

        @java.lang.Override
        public Builder clear() {
            super.clear();
            clanOwner_ = "";
            bitField0_ = (bitField0_ & ~0x00000001);
            hasInfo_ = false;
            bitField0_ = (bitField0_ & ~0x00000002);
            clanName_ = "";
            bitField0_ = (bitField0_ & ~0x00000004);
            joinRequirement_ = 0;
            bitField0_ = (bitField0_ & ~0x00000008);
            kickRequirement_ = 0;
            bitField0_ = (bitField0_ & ~0x00000010);
            messageRequirement_ = 0;
            bitField0_ = (bitField0_ & ~0x00000020);
            lootRequirement_ = 0;
            bitField0_ = (bitField0_ & ~0x00000040);
            if (membersBuilder_ == null) {
                members_ = java.util.Collections.emptyList();
                bitField0_ = (bitField0_ & ~0x00000080);
            } else {
                membersBuilder_.clear();
            }
            return this;
        }

        @java.lang.Override
        public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
            return proto.management.ManagementProtos.internal_static_management_SendClanInfo_descriptor;
        }

        @java.lang.Override
        public proto.management.SendClanInfo getDefaultInstanceForType() {
            return proto.management.SendClanInfo.getDefaultInstance();
        }

        @java.lang.Override
        public proto.management.SendClanInfo build() {
            proto.management.SendClanInfo result = buildPartial();
            if (!result.isInitialized()) {
                throw newUninitializedMessageException(result);
            }
            return result;
        }

        @java.lang.Override
        public proto.management.SendClanInfo buildPartial() {
            proto.management.SendClanInfo result = new proto.management.SendClanInfo(this);
            int from_bitField0_ = bitField0_;
            int to_bitField0_ = 0;
            if (((from_bitField0_ & 0x00000001) != 0)) {
                to_bitField0_ |= 0x00000001;
            }
            result.clanOwner_ = clanOwner_;
            if (((from_bitField0_ & 0x00000002) != 0)) {
                result.hasInfo_ = hasInfo_;
                to_bitField0_ |= 0x00000002;
            }
            if (((from_bitField0_ & 0x00000004) != 0)) {
                to_bitField0_ |= 0x00000004;
            }
            result.clanName_ = clanName_;
            if (((from_bitField0_ & 0x00000008) != 0)) {
                result.joinRequirement_ = joinRequirement_;
                to_bitField0_ |= 0x00000008;
            }
            if (((from_bitField0_ & 0x00000010) != 0)) {
                result.kickRequirement_ = kickRequirement_;
                to_bitField0_ |= 0x00000010;
            }
            if (((from_bitField0_ & 0x00000020) != 0)) {
                result.messageRequirement_ = messageRequirement_;
                to_bitField0_ |= 0x00000020;
            }
            if (((from_bitField0_ & 0x00000040) != 0)) {
                result.lootRequirement_ = lootRequirement_;
                to_bitField0_ |= 0x00000040;
            }
            if (membersBuilder_ == null) {
                if (((bitField0_ & 0x00000080) != 0)) {
                    members_ = java.util.Collections.unmodifiableList(members_);
                    bitField0_ = (bitField0_ & ~0x00000080);
                }
                result.members_ = members_;
            } else {
                result.members_ = membersBuilder_.build();
            }
            result.bitField0_ = to_bitField0_;
            onBuilt();
            return result;
        }

        @java.lang.Override
        public Builder clone() {
            return super.clone();
        }

        @java.lang.Override
        public Builder setField(
                com.google.protobuf.Descriptors.FieldDescriptor field,
                java.lang.Object value) {
            return super.setField(field, value);
        }

        @java.lang.Override
        public Builder clearField(
                com.google.protobuf.Descriptors.FieldDescriptor field) {
            return super.clearField(field);
        }

        @java.lang.Override
        public Builder clearOneof(
                com.google.protobuf.Descriptors.OneofDescriptor oneof) {
            return super.clearOneof(oneof);
        }

        @java.lang.Override
        public Builder setRepeatedField(
                com.google.protobuf.Descriptors.FieldDescriptor field,
                int index, java.lang.Object value) {
            return super.setRepeatedField(field, index, value);
        }

        @java.lang.Override
        public Builder addRepeatedField(
                com.google.protobuf.Descriptors.FieldDescriptor field,
                java.lang.Object value) {
            return super.addRepeatedField(field, value);
        }

        @java.lang.Override
        public Builder mergeFrom(com.google.protobuf.Message other) {
            if (other instanceof proto.management.SendClanInfo) {
                return mergeFrom((proto.management.SendClanInfo) other);
            } else {
                super.mergeFrom(other);
                return this;
            }
        }

        public Builder mergeFrom(proto.management.SendClanInfo other) {
            if (other == proto.management.SendClanInfo.getDefaultInstance()) return this;
            if (other.hasClanOwner()) {
                bitField0_ |= 0x00000001;
                clanOwner_ = other.clanOwner_;
                onChanged();
            }
            if (other.hasHasInfo()) {
                setHasInfo(other.getHasInfo());
            }
            if (other.hasClanName()) {
                bitField0_ |= 0x00000004;
                clanName_ = other.clanName_;
                onChanged();
            }
            if (other.hasJoinRequirement()) {
                setJoinRequirement(other.getJoinRequirement());
            }
            if (other.hasKickRequirement()) {
                setKickRequirement(other.getKickRequirement());
            }
            if (other.hasMessageRequirement()) {
                setMessageRequirement(other.getMessageRequirement());
            }
            if (other.hasLootRequirement()) {
                setLootRequirement(other.getLootRequirement());
            }
            if (membersBuilder_ == null) {
                if (!other.members_.isEmpty()) {
                    if (members_.isEmpty()) {
                        members_ = other.members_;
                        bitField0_ = (bitField0_ & ~0x00000080);
                    } else {
                        ensureMembersIsMutable();
                        members_.addAll(other.members_);
                    }
                    onChanged();
                }
            } else {
                if (!other.members_.isEmpty()) {
                    if (membersBuilder_.isEmpty()) {
                        membersBuilder_.dispose();
                        membersBuilder_ = null;
                        members_ = other.members_;
                        bitField0_ = (bitField0_ & ~0x00000080);
                        membersBuilder_ =
                                com.google.protobuf.GeneratedMessageV3.alwaysUseFieldBuilders ?
                                        getMembersFieldBuilder() : null;
                    } else {
                        membersBuilder_.addAllMessages(other.members_);
                    }
                }
            }
            this.mergeUnknownFields(other.unknownFields);
            onChanged();
            return this;
        }

        @java.lang.Override
        public final boolean isInitialized() {
            if (!hasClanOwner()) {
                return false;
            }
            if (!hasHasInfo()) {
                return false;
            }
            for (int i = 0; i < getMembersCount(); i++) {
                if (!getMembers(i).isInitialized()) {
                    return false;
                }
            }
            return true;
        }

        @java.lang.Override
        public Builder mergeFrom(
                com.google.protobuf.CodedInputStream input,
                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                throws java.io.IOException {
            proto.management.SendClanInfo parsedMessage = null;
            try {
                parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
            } catch (com.google.protobuf.InvalidProtocolBufferException e) {
                parsedMessage = (proto.management.SendClanInfo) e.getUnfinishedMessage();
                throw e.unwrapIOException();
            } finally {
                if (parsedMessage != null) {
                    mergeFrom(parsedMessage);
                }
            }
            return this;
        }

        private int bitField0_;

        private java.lang.Object clanOwner_ = "";

        /**
         * <code>required string clanOwner = 1;</code>
         *
         * @return Whether the clanOwner field is set.
         */
        public boolean hasClanOwner() {
            return ((bitField0_ & 0x00000001) != 0);
        }

        /**
         * <code>required string clanOwner = 1;</code>
         *
         * @return The clanOwner.
         */
        public java.lang.String getClanOwner() {
            java.lang.Object ref = clanOwner_;
            if (!(ref instanceof java.lang.String)) {
                com.google.protobuf.ByteString bs =
                        (com.google.protobuf.ByteString) ref;
                java.lang.String s = bs.toStringUtf8();
                if (bs.isValidUtf8()) {
                    clanOwner_ = s;
                }
                return s;
            } else {
                return (java.lang.String) ref;
            }
        }

        /**
         * <code>required string clanOwner = 1;</code>
         *
         * @return The bytes for clanOwner.
         */
        public com.google.protobuf.ByteString
        getClanOwnerBytes() {
            java.lang.Object ref = clanOwner_;
            if (ref instanceof String) {
                com.google.protobuf.ByteString b =
                        com.google.protobuf.ByteString.copyFromUtf8(
                                (java.lang.String) ref);
                clanOwner_ = b;
                return b;
            } else {
                return (com.google.protobuf.ByteString) ref;
            }
        }

        /**
         * <code>required string clanOwner = 1;</code>
         *
         * @param value The clanOwner to set.
         * @return This builder for chaining.
         */
        public Builder setClanOwner(
                java.lang.String value) {
            if (value == null) {
                throw new NullPointerException();
            }
            bitField0_ |= 0x00000001;
            clanOwner_ = value;
            onChanged();
            return this;
        }

        /**
         * <code>required string clanOwner = 1;</code>
         *
         * @return This builder for chaining.
         */
        public Builder clearClanOwner() {
            bitField0_ = (bitField0_ & ~0x00000001);
            clanOwner_ = getDefaultInstance().getClanOwner();
            onChanged();
            return this;
        }

        /**
         * <code>required string clanOwner = 1;</code>
         *
         * @param value The bytes for clanOwner to set.
         * @return This builder for chaining.
         */
        public Builder setClanOwnerBytes(
                com.google.protobuf.ByteString value) {
            if (value == null) {
                throw new NullPointerException();
            }
            bitField0_ |= 0x00000001;
            clanOwner_ = value;
            onChanged();
            return this;
        }

        private boolean hasInfo_;

        /**
         * <code>required bool hasInfo = 2;</code>
         *
         * @return Whether the hasInfo field is set.
         */
        @java.lang.Override
        public boolean hasHasInfo() {
            return ((bitField0_ & 0x00000002) != 0);
        }

        /**
         * <code>required bool hasInfo = 2;</code>
         *
         * @return The hasInfo.
         */
        @java.lang.Override
        public boolean getHasInfo() {
            return hasInfo_;
        }

        /**
         * <code>required bool hasInfo = 2;</code>
         *
         * @param value The hasInfo to set.
         * @return This builder for chaining.
         */
        public Builder setHasInfo(boolean value) {
            bitField0_ |= 0x00000002;
            hasInfo_ = value;
            onChanged();
            return this;
        }

        /**
         * <code>required bool hasInfo = 2;</code>
         *
         * @return This builder for chaining.
         */
        public Builder clearHasInfo() {
            bitField0_ = (bitField0_ & ~0x00000002);
            hasInfo_ = false;
            onChanged();
            return this;
        }

        private java.lang.Object clanName_ = "";

        /**
         * <code>optional string clanName = 3;</code>
         *
         * @return Whether the clanName field is set.
         */
        public boolean hasClanName() {
            return ((bitField0_ & 0x00000004) != 0);
        }

        /**
         * <code>optional string clanName = 3;</code>
         *
         * @return The clanName.
         */
        public java.lang.String getClanName() {
            java.lang.Object ref = clanName_;
            if (!(ref instanceof java.lang.String)) {
                com.google.protobuf.ByteString bs =
                        (com.google.protobuf.ByteString) ref;
                java.lang.String s = bs.toStringUtf8();
                if (bs.isValidUtf8()) {
                    clanName_ = s;
                }
                return s;
            } else {
                return (java.lang.String) ref;
            }
        }

        /**
         * <code>optional string clanName = 3;</code>
         *
         * @return The bytes for clanName.
         */
        public com.google.protobuf.ByteString
        getClanNameBytes() {
            java.lang.Object ref = clanName_;
            if (ref instanceof String) {
                com.google.protobuf.ByteString b =
                        com.google.protobuf.ByteString.copyFromUtf8(
                                (java.lang.String) ref);
                clanName_ = b;
                return b;
            } else {
                return (com.google.protobuf.ByteString) ref;
            }
        }

        /**
         * <code>optional string clanName = 3;</code>
         *
         * @param value The clanName to set.
         * @return This builder for chaining.
         */
        public Builder setClanName(
                java.lang.String value) {
            if (value == null) {
                throw new NullPointerException();
            }
            bitField0_ |= 0x00000004;
            clanName_ = value;
            onChanged();
            return this;
        }

        /**
         * <code>optional string clanName = 3;</code>
         *
         * @return This builder for chaining.
         */
        public Builder clearClanName() {
            bitField0_ = (bitField0_ & ~0x00000004);
            clanName_ = getDefaultInstance().getClanName();
            onChanged();
            return this;
        }

        /**
         * <code>optional string clanName = 3;</code>
         *
         * @param value The bytes for clanName to set.
         * @return This builder for chaining.
         */
        public Builder setClanNameBytes(
                com.google.protobuf.ByteString value) {
            if (value == null) {
                throw new NullPointerException();
            }
            bitField0_ |= 0x00000004;
            clanName_ = value;
            onChanged();
            return this;
        }

        private int joinRequirement_;

        /**
         * <code>optional int32 joinRequirement = 4;</code>
         *
         * @return Whether the joinRequirement field is set.
         */
        @java.lang.Override
        public boolean hasJoinRequirement() {
            return ((bitField0_ & 0x00000008) != 0);
        }

        /**
         * <code>optional int32 joinRequirement = 4;</code>
         *
         * @return The joinRequirement.
         */
        @java.lang.Override
        public int getJoinRequirement() {
            return joinRequirement_;
        }

        /**
         * <code>optional int32 joinRequirement = 4;</code>
         *
         * @param value The joinRequirement to set.
         * @return This builder for chaining.
         */
        public Builder setJoinRequirement(int value) {
            bitField0_ |= 0x00000008;
            joinRequirement_ = value;
            onChanged();
            return this;
        }

        /**
         * <code>optional int32 joinRequirement = 4;</code>
         *
         * @return This builder for chaining.
         */
        public Builder clearJoinRequirement() {
            bitField0_ = (bitField0_ & ~0x00000008);
            joinRequirement_ = 0;
            onChanged();
            return this;
        }

        private int kickRequirement_;

        /**
         * <code>optional int32 kickRequirement = 5;</code>
         *
         * @return Whether the kickRequirement field is set.
         */
        @java.lang.Override
        public boolean hasKickRequirement() {
            return ((bitField0_ & 0x00000010) != 0);
        }

        /**
         * <code>optional int32 kickRequirement = 5;</code>
         *
         * @return The kickRequirement.
         */
        @java.lang.Override
        public int getKickRequirement() {
            return kickRequirement_;
        }

        /**
         * <code>optional int32 kickRequirement = 5;</code>
         *
         * @param value The kickRequirement to set.
         * @return This builder for chaining.
         */
        public Builder setKickRequirement(int value) {
            bitField0_ |= 0x00000010;
            kickRequirement_ = value;
            onChanged();
            return this;
        }

        /**
         * <code>optional int32 kickRequirement = 5;</code>
         *
         * @return This builder for chaining.
         */
        public Builder clearKickRequirement() {
            bitField0_ = (bitField0_ & ~0x00000010);
            kickRequirement_ = 0;
            onChanged();
            return this;
        }

        private int messageRequirement_;

        /**
         * <code>optional int32 messageRequirement = 6;</code>
         *
         * @return Whether the messageRequirement field is set.
         */
        @java.lang.Override
        public boolean hasMessageRequirement() {
            return ((bitField0_ & 0x00000020) != 0);
        }

        /**
         * <code>optional int32 messageRequirement = 6;</code>
         *
         * @return The messageRequirement.
         */
        @java.lang.Override
        public int getMessageRequirement() {
            return messageRequirement_;
        }

        /**
         * <code>optional int32 messageRequirement = 6;</code>
         *
         * @param value The messageRequirement to set.
         * @return This builder for chaining.
         */
        public Builder setMessageRequirement(int value) {
            bitField0_ |= 0x00000020;
            messageRequirement_ = value;
            onChanged();
            return this;
        }

        /**
         * <code>optional int32 messageRequirement = 6;</code>
         *
         * @return This builder for chaining.
         */
        public Builder clearMessageRequirement() {
            bitField0_ = (bitField0_ & ~0x00000020);
            messageRequirement_ = 0;
            onChanged();
            return this;
        }

        private int lootRequirement_;

        /**
         * <code>optional int32 lootRequirement = 7;</code>
         *
         * @return Whether the lootRequirement field is set.
         */
        @java.lang.Override
        public boolean hasLootRequirement() {
            return ((bitField0_ & 0x00000040) != 0);
        }

        /**
         * <code>optional int32 lootRequirement = 7;</code>
         *
         * @return The lootRequirement.
         */
        @java.lang.Override
        public int getLootRequirement() {
            return lootRequirement_;
        }

        /**
         * <code>optional int32 lootRequirement = 7;</code>
         *
         * @param value The lootRequirement to set.
         * @return This builder for chaining.
         */
        public Builder setLootRequirement(int value) {
            bitField0_ |= 0x00000040;
            lootRequirement_ = value;
            onChanged();
            return this;
        }

        /**
         * <code>optional int32 lootRequirement = 7;</code>
         *
         * @return This builder for chaining.
         */
        public Builder clearLootRequirement() {
            bitField0_ = (bitField0_ & ~0x00000040);
            lootRequirement_ = 0;
            onChanged();
            return this;
        }

        private java.util.List<proto.management.SendClanInfo.ClanMember> members_ =
                java.util.Collections.emptyList();

        private void ensureMembersIsMutable() {
            if (!((bitField0_ & 0x00000080) != 0)) {
                members_ = new java.util.ArrayList<proto.management.SendClanInfo.ClanMember>(members_);
                bitField0_ |= 0x00000080;
            }
        }

        private com.google.protobuf.RepeatedFieldBuilderV3<
                proto.management.SendClanInfo.ClanMember, proto.management.SendClanInfo.ClanMember.Builder, proto.management.SendClanInfo.ClanMemberOrBuilder> membersBuilder_;

        /**
         * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
         */
        public java.util.List<proto.management.SendClanInfo.ClanMember> getMembersList() {
            if (membersBuilder_ == null) {
                return java.util.Collections.unmodifiableList(members_);
            } else {
                return membersBuilder_.getMessageList();
            }
        }

        /**
         * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
         */
        public int getMembersCount() {
            if (membersBuilder_ == null) {
                return members_.size();
            } else {
                return membersBuilder_.getCount();
            }
        }

        /**
         * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
         */
        public proto.management.SendClanInfo.ClanMember getMembers(int index) {
            if (membersBuilder_ == null) {
                return members_.get(index);
            } else {
                return membersBuilder_.getMessage(index);
            }
        }

        /**
         * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
         */
        public Builder setMembers(
                int index, proto.management.SendClanInfo.ClanMember value) {
            if (membersBuilder_ == null) {
                if (value == null) {
                    throw new NullPointerException();
                }
                ensureMembersIsMutable();
                members_.set(index, value);
                onChanged();
            } else {
                membersBuilder_.setMessage(index, value);
            }
            return this;
        }

        /**
         * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
         */
        public Builder setMembers(
                int index, proto.management.SendClanInfo.ClanMember.Builder builderForValue) {
            if (membersBuilder_ == null) {
                ensureMembersIsMutable();
                members_.set(index, builderForValue.build());
                onChanged();
            } else {
                membersBuilder_.setMessage(index, builderForValue.build());
            }
            return this;
        }

        /**
         * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
         */
        public Builder addMembers(proto.management.SendClanInfo.ClanMember value) {
            if (membersBuilder_ == null) {
                if (value == null) {
                    throw new NullPointerException();
                }
                ensureMembersIsMutable();
                members_.add(value);
                onChanged();
            } else {
                membersBuilder_.addMessage(value);
            }
            return this;
        }

        /**
         * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
         */
        public Builder addMembers(
                int index, proto.management.SendClanInfo.ClanMember value) {
            if (membersBuilder_ == null) {
                if (value == null) {
                    throw new NullPointerException();
                }
                ensureMembersIsMutable();
                members_.add(index, value);
                onChanged();
            } else {
                membersBuilder_.addMessage(index, value);
            }
            return this;
        }

        /**
         * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
         */
        public Builder addMembers(
                proto.management.SendClanInfo.ClanMember.Builder builderForValue) {
            if (membersBuilder_ == null) {
                ensureMembersIsMutable();
                members_.add(builderForValue.build());
                onChanged();
            } else {
                membersBuilder_.addMessage(builderForValue.build());
            }
            return this;
        }

        /**
         * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
         */
        public Builder addMembers(
                int index, proto.management.SendClanInfo.ClanMember.Builder builderForValue) {
            if (membersBuilder_ == null) {
                ensureMembersIsMutable();
                members_.add(index, builderForValue.build());
                onChanged();
            } else {
                membersBuilder_.addMessage(index, builderForValue.build());
            }
            return this;
        }

        /**
         * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
         */
        public Builder addAllMembers(
                java.lang.Iterable<? extends proto.management.SendClanInfo.ClanMember> values) {
            if (membersBuilder_ == null) {
                ensureMembersIsMutable();
                com.google.protobuf.AbstractMessageLite.Builder.addAll(
                        values, members_);
                onChanged();
            } else {
                membersBuilder_.addAllMessages(values);
            }
            return this;
        }

        /**
         * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
         */
        public Builder clearMembers() {
            if (membersBuilder_ == null) {
                members_ = java.util.Collections.emptyList();
                bitField0_ = (bitField0_ & ~0x00000080);
                onChanged();
            } else {
                membersBuilder_.clear();
            }
            return this;
        }

        /**
         * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
         */
        public Builder removeMembers(int index) {
            if (membersBuilder_ == null) {
                ensureMembersIsMutable();
                members_.remove(index);
                onChanged();
            } else {
                membersBuilder_.remove(index);
            }
            return this;
        }

        /**
         * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
         */
        public proto.management.SendClanInfo.ClanMember.Builder getMembersBuilder(
                int index) {
            return getMembersFieldBuilder().getBuilder(index);
        }

        /**
         * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
         */
        public proto.management.SendClanInfo.ClanMemberOrBuilder getMembersOrBuilder(
                int index) {
            if (membersBuilder_ == null) {
                return members_.get(index);
            } else {
                return membersBuilder_.getMessageOrBuilder(index);
            }
        }

        /**
         * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
         */
        public java.util.List<? extends proto.management.SendClanInfo.ClanMemberOrBuilder>
        getMembersOrBuilderList() {
            if (membersBuilder_ != null) {
                return membersBuilder_.getMessageOrBuilderList();
            } else {
                return java.util.Collections.unmodifiableList(members_);
            }
        }

        /**
         * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
         */
        public proto.management.SendClanInfo.ClanMember.Builder addMembersBuilder() {
            return getMembersFieldBuilder().addBuilder(
                    proto.management.SendClanInfo.ClanMember.getDefaultInstance());
        }

        /**
         * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
         */
        public proto.management.SendClanInfo.ClanMember.Builder addMembersBuilder(
                int index) {
            return getMembersFieldBuilder().addBuilder(
                    index, proto.management.SendClanInfo.ClanMember.getDefaultInstance());
        }

        /**
         * <code>repeated .management.SendClanInfo.ClanMember members = 8;</code>
         */
        public java.util.List<proto.management.SendClanInfo.ClanMember.Builder>
        getMembersBuilderList() {
            return getMembersFieldBuilder().getBuilderList();
        }

        private com.google.protobuf.RepeatedFieldBuilderV3<
                proto.management.SendClanInfo.ClanMember, proto.management.SendClanInfo.ClanMember.Builder, proto.management.SendClanInfo.ClanMemberOrBuilder>
        getMembersFieldBuilder() {
            if (membersBuilder_ == null) {
                membersBuilder_ = new com.google.protobuf.RepeatedFieldBuilderV3<
                        proto.management.SendClanInfo.ClanMember, proto.management.SendClanInfo.ClanMember.Builder, proto.management.SendClanInfo.ClanMemberOrBuilder>(
                        members_,
                        ((bitField0_ & 0x00000080) != 0),
                        getParentForChildren(),
                        isClean());
                members_ = null;
            }
            return membersBuilder_;
        }

        @java.lang.Override
        public final Builder setUnknownFields(
                final com.google.protobuf.UnknownFieldSet unknownFields) {
            return super.setUnknownFields(unknownFields);
        }

        @java.lang.Override
        public final Builder mergeUnknownFields(
                final com.google.protobuf.UnknownFieldSet unknownFields) {
            return super.mergeUnknownFields(unknownFields);
        }


        // @@protoc_insertion_point(builder_scope:management.SendClanInfo)
    }

    // @@protoc_insertion_point(class_scope:management.SendClanInfo)
    private static final proto.management.SendClanInfo DEFAULT_INSTANCE;

    static {
        DEFAULT_INSTANCE = new proto.management.SendClanInfo();
    }

    public static proto.management.SendClanInfo getDefaultInstance() {
        return DEFAULT_INSTANCE;
    }

    @java.lang.Deprecated
    public static final com.google.protobuf.Parser<SendClanInfo>
            PARSER = new com.google.protobuf.AbstractParser<SendClanInfo>() {
        @java.lang.Override
        public SendClanInfo parsePartialFrom(
                com.google.protobuf.CodedInputStream input,
                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                throws com.google.protobuf.InvalidProtocolBufferException {
            return new SendClanInfo(input, extensionRegistry);
        }
    };

    public static com.google.protobuf.Parser<SendClanInfo> parser() {
        return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<SendClanInfo> getParserForType() {
        return PARSER;
    }

    @java.lang.Override
    public proto.management.SendClanInfo getDefaultInstanceForType() {
        return DEFAULT_INSTANCE;
    }

}

